# TIFFWriteTile

## Synopsis

    #include <tiffio.h>

TIFFWriteTile - encode and write a tile of data to an open TIFF file

tmsize_t TIFFWriteTile(TIFF *tif, void *buf, uint32_t x, uint32_t y, uint32_t z, uint16_t sample)

## Description

Write the data for the tile containing the specified coordinates. The data in buf are (potentially) compressed, and written to the indicated file, normally being appended to the end of the file. The buffer must be contain an entire tile of data. Applications should call the routine `TIFFTileSize()` to find out the size (in bytes) of a tile buffer. The x and y parameters are always used by `TIFFWriteTile()`. The z parameter is used if the image is deeper than 1 slice (`ImageDepth` > 1). The sample parameter is used only if data are organized in separate planes (`PlanarConfiguration` = 2).

## Return values

`TIFFWriteTile()` returns -1 if it detects an error; otherwise the number of bytes in the tile is returned.

## Diagnostics

All error messages are directed to the `TIFFErrorExtR()` routine.

## See also

TIFFtile (3tiff), TIFFOpen (3tiff), TIFFReadTile (3tiff), TIFFWriteScanline (3tiff), TIFFWriteEncodedTile (3tiff), TIFFWriteRawTile (3tiff), libtiff (3tiff)